Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ProxyHashtableCT

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.solarmetric.kodo.util.ProxyHashtable
                        |
                        +--com.solarmetric.kodo.util.ProxyHashtableCT

All Implemented Interfaces:
  ChangeTracker, Cloneable, Map, ProxyMap, Serializable

public class ProxyHashtableCT
extends ProxyHashtable
implements ChangeTracker

Extension of the `ProxyHashtable` to implement `ChangeTracker`. The `ProxyHashtable` actually does all the logic to track changes itself, but keep change tracking turned off by default. This class turns it on.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Constructor Summary
`ProxyHashtableCT()` Template constructor.
`ProxyHashtableCT(Class keyType, Class valueType)` Constructor.
`ProxyHashtableCT(Map m, Class keyType, Class valueType)` Constructor.

Method Summary
`ProxyMap` | `newInstance(Class keyType, Class valueType, Map contents, Comparator compare)` This method should return a new proxy of the same concrete type as the implementing class.
`void` | `setOwner(Object pc, String fieldName)` Set the owning JDO instance of the proxy and the name of the field it is assigned to.

Methods inherited from class com.solarmetric.kodo.util.ProxyHashtable
`clear, entrySet, getAdded, getChangeManager, getComparator, getCopy, getOwner, getOwnerFieldName, getRemoved, keySet, put, putAll, remove, setChangeManager, values, writeReplace`

Methods inherited from class java.util.Hashtable
`, clone, contains, containsKey, containsValue, elements, equals, get, hashCode, isEmpty, keys, rehash, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.solarmetric.kodo.util.ChangeTracker
`getAdded, getRemoved`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size`

Constructor Detail

### ProxyHashtableCT

    public ProxyHashtableCT()

  Template constructor.

### ProxyHashtableCT

    public ProxyHashtableCT(Map m,
                            Class keyType,
                            Class valueType)

  Constructor.
  See Also:
    `ProxyHashtable`

### ProxyHashtableCT

    public ProxyHashtableCT(Class keyType,
                            Class valueType)

  Constructor.
  See Also:
    `ProxyHashtable`

Method Detail

### newInstance

    public ProxyMap newInstance(Class keyType,
                                Class valueType,
                                Map contents,
                                Comparator compare)

  Description copied from interface: `ProxyMap`
  This method should return a new proxy of the same concrete type as the implementing class. Used by the `ProxyManager` factories: one template instance of each type is created for the purpose of producing new instances via this method. Overcomes the performance penalties of reflection.
  Overrides:
    `newInstance` in class `ProxyHashtable`

### setOwner

    public void setOwner(Object pc,
                         String fieldName)

  Description copied from interface: `ProxyMap`
  Set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.
  Overrides:
    `setOwner` in class `ProxyHashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.